Subject: [Sipping] RE: Comments on draft-elwell-sipping-redirection-reason-02.txt

From: "Elwell, John" <[email-masked]>
Date: Wed, 28 Sep 2005 15:37:08 +0100

Gonzalo,

Because that doesn't work when a 3xx is used - 302 does not capture the fact
that it was because of busy, say. Also not all reasons can be represented by
SIP response codes. I am currently writing a new (00) draft along with some
other people. This will propose a different mechanism but will still require
a new namespace to reflect different service retargeting reasons. Hoping to
hit the cut-off date for Vancouver.

John

> -----Original Message-----
> From: Gonzalo Camarillo [mailto:[email-masked]] 
> Sent: 28 September 2005 14:23
> To: sipping
> Cc: Elwell, John; [email-masked]; [email-masked]
> Subject: Comments on draft-elwell-sipping-redirection-reason-02.txt
> 
> Hi,
> 
> some comments on the following draft:
> http://www.ietf.org/internet-drafts/draft-elwell-sipping-redir
> ection-reason-02.txt
> 
> Why do you need a new namespace for the Reason header field (i.e.,
> redirection) if what you are reporting seems to be the 
> reception of SIP
> status codes?
> 
> Let's take the flow in Section 6.2:
> 
>             Alice            Proxy           Bob              Gateway
>               |                |              |                   |
>               |    INVITE F1   |              |                   |
>               |--------------->|  INVITE F3   |                   |
>               |                |------------->|                   |
>               |(100 Trying) F2 |              |                   |
>               |<---------------|              |                   |
>               |                |  486 Busy    |                   |
>               |                |   here F4    |                   |
>               |                |<-------------|                   |
>               |                |    ACK F5    |                   |
>               |                |------------->|                   |
>               |                |              |    INVITE F6      |
>               |                |--------------------------------->|
> 
> 
> The entry in the History-Info header field in F6 should 
> contain a Reason
> of 486 Busy, because that is what was received from Bob... 
> but instead,
> you propose a new namespace to say exactly the same thing (i.e., "Call
> Forward Busy").
> 
> What do you gain by defining the new namespace if you are conveying
> information that was actually received in a SIP status code?
> 
> Thanks,
> 
> Gonzalo
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Gonzalo Camarillo <[email-masked]>
Date: Thu, 29 Sep 2005 11:13:41 +0300

Hi,

> that it was because of busy, say.

You would return a 302 with a History-Info header field with a 486 
Busy... the problem with the 302 response has nothing to do with the new 
namespace. You have the same problem even if you use a new namespace.

> Also not all reasons can be represented by

Can you provide examples of reasons that cannot be represented by SIP 
response codes? If they are general reasons, what we need to do is to 
create new response codes. We probably do not need a new namespace.

Thanks,

Gonzalo